<%= form_with(model: [community_survey, house], local: true, class: "form-container") do |form| %>
  <div class="form-content">
    <% if house.errors.any? %>
      <div id="error_explanation" class="ui error message icon">
        <i class="close icon"></i>
        <i class="times circle icon"></i>
        <div class="content">
          <ul>
            <% house.errors.full_messages.each do |message| %>
              <li><%= message %></li>
            <% end %>
          </ul>
        </div>
      </div>
    <% end %>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :hid, t('house.hid_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :hid, disabled: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :house_id, t('house.house_id_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :house_id,maxlength: 11 %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :datesurvey, t('house.datesurvey_label'), required: true %>
        </div>
        <div class="form-group__input ui input" id="datesurvey">
          <%= form.text_field :datesurvey, value: house.datesurvey.to_date.strftime('%m-%d-%Y'), autocomplete: 'off', required: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :namesurvey, t('house.namesurvey_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :namesurvey, required: true %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :positionsurvey, t('house.positionsurvey_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :positionsurvey, required: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :house, t('house.house_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :house, required: true %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :villaname, t('house.villaname_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :villaname %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :moo, t('house.moo_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :moo %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :soimain, t('house.soimain_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :soimain %>
        </div>
      </div>
    </div>
    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :soisum, t('house.soisum_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :soisum %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :road, t('house.road_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :road %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :addr_changwat_id, t('house.changwat_label'), required: true %>
        </div>
        <div class="form-group__input">
          <% changwats = AddrChangwat.all.order(:label).map { |a| [a.label, a.id] } %>
          <%= form.select :addr_changwat_id, options_for_select(changwats, house.addr_changwat_id), 
            { prompt: t('please_select_label') }, { class: 'ui selection dropdown required', required: true } %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :addr_amphur_id, t('house.amphur_label'), required: true %>
        </div>
        <div class="form-group__input">
          <% if house.addr_amphur_id || @addr_amphurs  %>
            <% amphurs = @addr_amphurs.map { |a| [a.label, a.id] } %>
            <%= form.select :addr_amphur_id, options_for_select(amphurs, house.addr_amphur_id),
              { prompt: t('please_select_label') }, { class: 'ui selection dropdown required', required: true } %>
          <% else %>
            <%= form.select :addr_amphur_id, {}, { include_blank: '-' }, { class: 'ui selection dropdown required', required: true } %>
          <% end %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :addr_tambon_id, t('house.tambon_label'), required: true %>
        </div>
        <div class="form-group__input">
          <% if house.addr_tambon_id || @addr_tambons %>
            <% tambons = @addr_tambons.map { |a| [a.label, a.id] } %>
            <%= form.select :addr_tambon_id, options_for_select(tambons, house.addr_tambon_id),
              { prompt: t('please_select_label') }, { class: 'ui selection dropdown required', required: true } %>
          <% else %>
            <%= form.select :addr_tambon_id, {}, { include_blank: '-' }, { class: 'ui selection dropdown required', required: true } %>
          <% end %>
        </div>
      </div>
    </div>
    
    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :postcode, t('house.postcode_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :postcode , required: true,maxlength: 5 %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :phonenumber, t('house.phonenumber_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :phonenumber %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :latitude, t('house.latitude_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :latitude, min: 0, step:".001"%>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :longitude, t('house.longitude_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :longitude, min: 0, step:".001"%>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :housestyletype, t('house.housestyletype_label'), required: true %>
        </div>
        <div class="form-group__input">
          <% housestyletypes = House.house_style_types.map { |k, v| [ "#{v}. #{t("house.housestyletype_#{k}_label")}", v ] } %>
          <%= form.select(:housestyletype, options_for_select(housestyletypes, house.housestyletype), 
            { prompt: t('please_select_label') }, { class: 'ui selection dropdown required', required: true })%>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :housetype, t('house.housetype_label'), required: true %>
        </div>
        <div class="form-group__input">
        <% housetypes = House.houst_tydes.map { |k, v| [ "#{v}. #{t("house.housetype_#{k}_label")}", v ] } %>
          <%= form.select(:housetype, options_for_select(housetypes, house.housetype), 
            { prompt: t('please_select_label') }, { class: 'ui selection dropdown required', required: true })%>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --inline">
        <div class="form-group__label">
          <%= form.label :houseutili, t('house.houseutili_label') %>
        </div>
        <div class="form-group__input-group">
          <div class="form-group__input">
            <label data-type="radio">
              <%= form.radio_button :houseutili, '1'%>
              <span class="text">
                <%= t('house.houseutili_shelter_label') %>
              </span>
            </label>
          </div>
          <div class="form-group__input">
            <label data-type="radio">
              <%= form.radio_button :houseutili, '2'%>
              <span class="text">
                <%= t('house.houseutili_establishment_label') %>
              </span>
            </label>
          </div>
          <div class="form-group__input">
            <label data-type="radio">
              <%= form.radio_button :houseutili, '3'%>
              <span class="text">
                <%= t('house.houseutili_shelter_and_establishment_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :nperson, t('house.nperson_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <%= form.number_field :nperson, required: true, min: 0, max: 9999 %>
        </div>
      </div>
    </div>

    <div id="house_business">

      <div class="form-wrapper">
        <div class="form-group --inline">
          <div class="form-group__label">
            <%= form.label :businesstype, t('house.businesstype_label') %>
          </div>
          <div class="form-group__input-group">
            <div class="form-group__input">
              <% businesstypes = House.business_types.each_with_index.map { |v, i| [ "#{i+=1}. #{t("house.businesstype_#{v[0]}_label")}", v[1] ] } %>
              <%= form.select(:businesstype, options_for_select(businesstypes, house.businesstype), 
                { prompt: t('please_select_label') }, {class: 'ui selection dropdown'})%>
            </div>
            <div class="form-group__input">
              <div class="form-group__input ui input housestyletype_other">
                <%= form.text_field :housestyletype_other, placeholder: t('detail_label') %>
              </div> 
            </div>
          </div>
        </div>
      </div>

      <div class="form-wrapper --inline">
        <div class="form-group">
          <div class="form-group__label">
            <%= form.label :namebusiness, t('house.namebusiness_label') %>
          </div>
          <div class="form-group__input ui input">
            <%= form.text_field :namebusiness %>
          </div>
        </div>
        <div class="form-group">
          <div class="form-group__label">
            <%= form.label :ncustomer, t('house.ncustomer_label') %>
          </div>
          <div class="form-group__input ui input">
            <%= form.text_field :ncustomer, maxlength: 3 %>
          </div>
        </div>
      </div>
      <div class="form-wrapper --inline">
        <div class="form-group">
          <div class="form-group__label">
            <%= form.label :business_contact_fullname, t('house.business_contact_fullname_label') %>
          </div>
          <div class="form-group__input ui input">
            <%= form.text_field :business_contact_fullname %>
          </div>
        </div>
        <div class="form-group">
          <div class="form-group__label">
            <%= form.label :business_contact_phonenumber, t('house.business_contact_phonenumber_label') %>
          </div>
          <div class="form-group__input ui input">
            <%= form.text_field :business_contact_phonenumber %>
          </div>
        </div>
      </div>
      <div class="form-wrapper">
        <div class="form-group --inline">
          <div class="form-group__label">
            <%= form.label :accident, t('house.accident_label') %>
          </div>
          <div class="form-group__input-group">
            <div class="form-group__button">
              <div class="radio-group">
                <label class="radio-button">
                  <%= form.radio_button :accident, '1' %>
                  <span class="text">
                    <%= t('not_happen_label') %>
                  </span>
                </label>
                <label class="radio-button">
                  <%= form.radio_button :accident, '2' %>
                  <span class="text">
                    <%= t('happen_label') %>
                  </span>
                </label>
              </div>
            </div>
            <div class="form-group__input">
              <div class="form-group__input ui input accident_other">
                <%= form.text_field :accident_other, placeholder: t('detail_label') %>
              </div>
            </div>
          </div>
        </div>
      </div>
      
      <div class="form-wrapper">
        <div class="form-group --inline">
          <div class="form-group__label">
            <%= form.label :disease, t('house.disease_label') %>
          </div>
          <div class="form-group__input-group">
            <div class="form-group__button">
              <div class="radio-group">
                <label class="radio-button">
                  <%= form.radio_button :disease, '1' %>
                  <span class="text">
                    <%= t('not_happen_label') %>
                  </span>
                </label>
                <label class="radio-button">
                  <%= form.radio_button :disease, '2', "data-label": t('happen_label')%>
                  <span class="text">
                    <%= t('happen_label') %>
                  </span>
                </label>
              </div>
            </div>
            <div class="form-group__input">
              <div class="form-group__input ui input disease_other">
                <%= form.text_field :disease_other, placeholder: t('detail_label') %>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="form-action">
    <%= link_to t(:cancel_label), community_survey_houses_path(@community_survey), class: "ui button" %>
    <%= form.submit t(:save_label), class: "ui button --submit" %>
  </div>
<% end %>

<% content_for :additional_javascripts do %>
  <%= javascript_pack_tag 'form/houses' %>
<% end %>